%define upstream_name    Pod-Abstract
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Basic multipart section numbering

Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}

BuildRequires: perl-devel
BuildRequires: perl(IO::String)
BuildArch: noarch


%description
POD::Abstract provides a means to load a POD (or POD compatible) document
without direct reference to it's syntax, and perform manipulations on the
abstract syntax tree.

This can be used to support additional features for POD, to format output,
to compile into alternative formats, etc.

WHY?
    If you've ever asked yourself "What does Pod do for me?", this module
    is intended to answer that question.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/paf

%changelog
* Sat Jan 22 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 31054
- mageia rebuild
- imported package perl-Pod-Abstract

